Package com.pixelmed.dose

## Class RoleInProcedure

- java.lang.Object
- - com.pixelmed.dose.RoleInProcedure

-     public class RoleInProcedure
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static RoleInProcedure` | `IRRADIATION_ADMINISTERING` |
    `static RoleInProcedure` | `IRRADIATION_AUTHORIZING` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CodedSequenceItem` | `getCodedSequenceItem()` |
    `static CodedSequenceItem` | `getCodedSequenceItem​(RoleInProcedure role)` |
    `static RoleInProcedure` | `getRoleInProcedure​(ContentItem parent)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IRRADIATION_ADMINISTERING

          public static final RoleInProcedure IRRADIATION_ADMINISTERING

    - #### IRRADIATION_AUTHORIZING

          public static final RoleInProcedure IRRADIATION_AUTHORIZING

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getRoleInProcedure

          public static RoleInProcedure getRoleInProcedure​(ContentItem parent)

    - #### getCodedSequenceItem

          public static CodedSequenceItem getCodedSequenceItem​(RoleInProcedure role)
                                                        throws DicomException

      Throws:
        `DicomException`

    - #### getCodedSequenceItem

          public CodedSequenceItem getCodedSequenceItem()
                                                 throws DicomException

      Throws:
        `DicomException`